#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 114
#define LARGE_STATE_COUNT 4
#define SYMBOL_COUNT 45
#define ALIAS_COUNT 0
#define TOKEN_COUNT 23
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 5
#define PRODUCTION_ID_COUNT 5

enum ts_symbol_identifiers {
  anon_sym_include = 1,
  anon_sym_exclude = 2,
  anon_sym_recursive_DASHinclude = 3,
  anon_sym_recursive_DASHexclude = 4,
  anon_sym_global_DASHinclude = 5,
  anon_sym_global_DASHexclude = 6,
  anon_sym_graft = 7,
  anon_sym_prune = 8,
  sym__space = 9,
  aux_sym__end_of_line_token1 = 10,
  anon_sym_BSLASH = 11,
  aux_sym__pattern_token1 = 12,
  sym_glob = 13,
  sym_dir_sep = 14,
  aux_sym_escaped_char_token1 = 15,
  anon_sym_LBRACK = 16,
  anon_sym_BANG = 17,
  anon_sym_DASH = 18,
  anon_sym_RBRACK = 19,
  aux_sym__seq_char_token1 = 20,
  aux_sym__seq_char_token2 = 21,
  sym_comment = 22,
  sym_manifest = 23,
  sym_command = 24,
  sym__include = 25,
  sym__exclude = 26,
  sym__recursive_include = 27,
  sym__recursive_exclude = 28,
  sym__global_include = 29,
  sym__global_exclude = 30,
  sym__graft = 31,
  sym__prune = 32,
  sym__end_of_line = 33,
  sym_linebreak = 34,
  sym_pattern = 35,
  aux_sym__pattern = 36,
  sym_escaped_char = 37,
  sym_char_sequence = 38,
  sym_char_range = 39,
  sym__seq_char = 40,
  aux_sym_manifest_repeat1 = 41,
  aux_sym__include_repeat1 = 42,
  aux_sym_pattern_repeat1 = 43,
  aux_sym_char_sequence_repeat1 = 44,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_include] = "keyword",
  [anon_sym_exclude] = "keyword",
  [anon_sym_recursive_DASHinclude] = "keyword",
  [anon_sym_recursive_DASHexclude] = "keyword",
  [anon_sym_global_DASHinclude] = "keyword",
  [anon_sym_global_DASHexclude] = "keyword",
  [anon_sym_graft] = "keyword",
  [anon_sym_prune] = "keyword",
  [sym__space] = "_space",
  [aux_sym__end_of_line_token1] = "_end_of_line_token1",
  [anon_sym_BSLASH] = "\\",
  [aux_sym__pattern_token1] = "_pattern_token1",
  [sym_glob] = "glob",
  [sym_dir_sep] = "dir_sep",
  [aux_sym_escaped_char_token1] = "escaped_char_token1",
  [anon_sym_LBRACK] = "[",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym_RBRACK] = "]",
  [aux_sym__seq_char_token1] = "_seq_char_token1",
  [aux_sym__seq_char_token2] = "_seq_char_token2",
  [sym_comment] = "comment",
  [sym_manifest] = "manifest",
  [sym_command] = "command",
  [sym__include] = "_include",
  [sym__exclude] = "_exclude",
  [sym__recursive_include] = "_recursive_include",
  [sym__recursive_exclude] = "_recursive_exclude",
  [sym__global_include] = "_global_include",
  [sym__global_exclude] = "_global_exclude",
  [sym__graft] = "_graft",
  [sym__prune] = "_prune",
  [sym__end_of_line] = "_end_of_line",
  [sym_linebreak] = "linebreak",
  [sym_pattern] = "pattern",
  [aux_sym__pattern] = "_pattern",
  [sym_escaped_char] = "escaped_char",
  [sym_char_sequence] = "char_sequence",
  [sym_char_range] = "char_range",
  [sym__seq_char] = "_seq_char",
  [aux_sym_manifest_repeat1] = "manifest_repeat1",
  [aux_sym__include_repeat1] = "_include_repeat1",
  [aux_sym_pattern_repeat1] = "pattern_repeat1",
  [aux_sym_char_sequence_repeat1] = "char_sequence_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_exclude] = anon_sym_include,
  [anon_sym_recursive_DASHinclude] = anon_sym_include,
  [anon_sym_recursive_DASHexclude] = anon_sym_include,
  [anon_sym_global_DASHinclude] = anon_sym_include,
  [anon_sym_global_DASHexclude] = anon_sym_include,
  [anon_sym_graft] = anon_sym_include,
  [anon_sym_prune] = anon_sym_include,
  [sym__space] = sym__space,
  [aux_sym__end_of_line_token1] = aux_sym__end_of_line_token1,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym__pattern_token1] = aux_sym__pattern_token1,
  [sym_glob] = sym_glob,
  [sym_dir_sep] = sym_dir_sep,
  [aux_sym_escaped_char_token1] = aux_sym_escaped_char_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym__seq_char_token1] = aux_sym__seq_char_token1,
  [aux_sym__seq_char_token2] = aux_sym__seq_char_token2,
  [sym_comment] = sym_comment,
  [sym_manifest] = sym_manifest,
  [sym_command] = sym_command,
  [sym__include] = sym__include,
  [sym__exclude] = sym__exclude,
  [sym__recursive_include] = sym__recursive_include,
  [sym__recursive_exclude] = sym__recursive_exclude,
  [sym__global_include] = sym__global_include,
  [sym__global_exclude] = sym__global_exclude,
  [sym__graft] = sym__graft,
  [sym__prune] = sym__prune,
  [sym__end_of_line] = sym__end_of_line,
  [sym_linebreak] = sym_linebreak,
  [sym_pattern] = sym_pattern,
  [aux_sym__pattern] = aux_sym__pattern,
  [sym_escaped_char] = sym_escaped_char,
  [sym_char_sequence] = sym_char_sequence,
  [sym_char_range] = sym_char_range,
  [sym__seq_char] = sym__seq_char,
  [aux_sym_manifest_repeat1] = aux_sym_manifest_repeat1,
  [aux_sym__include_repeat1] = aux_sym__include_repeat1,
  [aux_sym_pattern_repeat1] = aux_sym_pattern_repeat1,
  [aux_sym_char_sequence_repeat1] = aux_sym_char_sequence_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_exclude] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_recursive_DASHinclude] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_recursive_DASHexclude] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_global_DASHinclude] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_global_DASHexclude] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_graft] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_prune] = {
    .visible = true,
    .named = true,
  },
  [sym__space] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__end_of_line_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__pattern_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_glob] = {
    .visible = true,
    .named = true,
  },
  [sym_dir_sep] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_escaped_char_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__seq_char_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__seq_char_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_manifest] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym__include] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude] = {
    .visible = false,
    .named = true,
  },
  [sym__recursive_include] = {
    .visible = false,
    .named = true,
  },
  [sym__recursive_exclude] = {
    .visible = false,
    .named = true,
  },
  [sym__global_include] = {
    .visible = false,
    .named = true,
  },
  [sym__global_exclude] = {
    .visible = false,
    .named = true,
  },
  [sym__graft] = {
    .visible = false,
    .named = true,
  },
  [sym__prune] = {
    .visible = false,
    .named = true,
  },
  [sym__end_of_line] = {
    .visible = false,
    .named = true,
  },
  [sym_linebreak] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__pattern] = {
    .visible = false,
    .named = false,
  },
  [sym_escaped_char] = {
    .visible = true,
    .named = true,
  },
  [sym_char_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_char_range] = {
    .visible = true,
    .named = true,
  },
  [sym__seq_char] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_manifest_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__include_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_dir_pattern = 1,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_dir_pattern] = "dir_pattern",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_dir_pattern, 0, .inherited = true},
  [1] =
    {field_dir_pattern, 1, .inherited = true},
  [2] =
    {field_dir_pattern, 1},
  [3] =
    {field_dir_pattern, 1},
    {field_dir_pattern, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 5,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 28,
  [40] = 33,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 13,
  [52] = 42,
  [53] = 45,
  [54] = 46,
  [55] = 27,
  [56] = 27,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 49,
  [69] = 69,
  [70] = 50,
  [71] = 60,
  [72] = 59,
  [73] = 13,
  [74] = 74,
  [75] = 63,
  [76] = 62,
  [77] = 77,
  [78] = 77,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 79,
  [83] = 80,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 90,
  [96] = 96,
  [97] = 96,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 104,
  [106] = 104,
  [107] = 107,
  [108] = 108,
  [109] = 107,
  [110] = 110,
  [111] = 110,
  [112] = 107,
  [113] = 110,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '\n', 78,
        '\r', 1,
        '!', 88,
        '#', 93,
        '*', 84,
        '-', 89,
        '/', 85,
        '?', 83,
        '[', 87,
        '\\', 80,
        ']', 90,
        '\t', 77,
        ' ', 77,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(81);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(78);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 78,
        '\r', 1,
        '#', 93,
        '*', 84,
        '/', 85,
        '?', 83,
        '[', 87,
        '\\', 80,
        '\t', 77,
        ' ', 77,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(81);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 78,
        '\r', 1,
        '#', 93,
        '*', 84,
        '/', 85,
        '?', 83,
        '[', 87,
        '\\', 82,
        '\t', 77,
        ' ', 77,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(81);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(88);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '!' &&
          lookahead != '#' &&
          lookahead != '\\' &&
          lookahead != ']') ADVANCE(91);
      END_STATE();
    case 5:
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == ']') ADVANCE(90);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '#') ADVANCE(91);
      END_STATE();
    case 6:
      if (lookahead == '-') ADVANCE(32);
      END_STATE();
    case 7:
      if (lookahead == '-') ADVANCE(33);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(35);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'b') ADVANCE(9);
      END_STATE();
    case 11:
      if (lookahead == 'c') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'c') ADVANCE(56);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(40);
      END_STATE();
    case 14:
      if (lookahead == 'c') ADVANCE(41);
      END_STATE();
    case 15:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 16:
      if (lookahead == 'c') ADVANCE(43);
      END_STATE();
    case 17:
      if (lookahead == 'c') ADVANCE(44);
      END_STATE();
    case 18:
      if (lookahead == 'd') ADVANCE(25);
      END_STATE();
    case 19:
      if (lookahead == 'd') ADVANCE(26);
      END_STATE();
    case 20:
      if (lookahead == 'd') ADVANCE(27);
      END_STATE();
    case 21:
      if (lookahead == 'd') ADVANCE(28);
      END_STATE();
    case 22:
      if (lookahead == 'd') ADVANCE(29);
      END_STATE();
    case 23:
      if (lookahead == 'd') ADVANCE(30);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 26:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(12);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(64);
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(48);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(7);
      END_STATE();
    case 35:
      if (lookahead == 'f') ADVANCE(53);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(8);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(6);
      END_STATE();
    case 39:
      if (lookahead == 'l') ADVANCE(54);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 41:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(59);
      END_STATE();
    case 43:
      if (lookahead == 'l') ADVANCE(60);
      END_STATE();
    case 44:
      if (lookahead == 'l') ADVANCE(61);
      END_STATE();
    case 45:
      if (lookahead == 'n') ADVANCE(24);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(15);
      END_STATE();
    case 48:
      if (lookahead == 'n') ADVANCE(17);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(10);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(36);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 54:
      if (lookahead == 'u') ADVANCE(18);
      END_STATE();
    case 55:
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 56:
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 57:
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(20);
      END_STATE();
    case 59:
      if (lookahead == 'u') ADVANCE(21);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(23);
      END_STATE();
    case 62:
      if (lookahead == 'v') ADVANCE(34);
      END_STATE();
    case 63:
      if (lookahead == 'x') ADVANCE(11);
      END_STATE();
    case 64:
      if (lookahead == 'x') ADVANCE(14);
      END_STATE();
    case 65:
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 66:
      if (lookahead == '!' ||
          lookahead == '#' ||
          lookahead == '-' ||
          ('[' <= lookahead && lookahead <= ']')) ADVANCE(92);
      END_STATE();
    case 67:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '\n', 78,
        '\r', 1,
        '#', 93,
        '/', 85,
        '\\', 79,
        'e', 63,
        'g', 37,
        'i', 46,
        'p', 50,
        'r', 31,
        '\t', 77,
        ' ', 77,
      );
      END_STATE();
    case 68:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_exclude);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_recursive_DASHinclude);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_recursive_DASHexclude);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_global_DASHinclude);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_global_DASHexclude);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_graft);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_prune);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym__space);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym__end_of_line_token1);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '#' ||
          lookahead == '[') ADVANCE(86);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(aux_sym__pattern_token1);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(aux_sym__pattern_token1);
      if (lookahead == '#' ||
          lookahead == '[') ADVANCE(86);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_glob);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_glob);
      if (lookahead == '*') ADVANCE(83);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_dir_sep);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_escaped_char_token1);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym__seq_char_token1);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym__seq_char_token2);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(93);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 67},
  [2] = {.lex_state = 67},
  [3] = {.lex_state = 67},
  [4] = {.lex_state = 67},
  [5] = {.lex_state = 2},
  [6] = {.lex_state = 3},
  [7] = {.lex_state = 67},
  [8] = {.lex_state = 2},
  [9] = {.lex_state = 2},
  [10] = {.lex_state = 2},
  [11] = {.lex_state = 3},
  [12] = {.lex_state = 3},
  [13] = {.lex_state = 67},
  [14] = {.lex_state = 67},
  [15] = {.lex_state = 67},
  [16] = {.lex_state = 67},
  [17] = {.lex_state = 67},
  [18] = {.lex_state = 67},
  [19] = {.lex_state = 67},
  [20] = {.lex_state = 67},
  [21] = {.lex_state = 67},
  [22] = {.lex_state = 67},
  [23] = {.lex_state = 67},
  [24] = {.lex_state = 67},
  [25] = {.lex_state = 67},
  [26] = {.lex_state = 67},
  [27] = {.lex_state = 67},
  [28] = {.lex_state = 2},
  [29] = {.lex_state = 67},
  [30] = {.lex_state = 67},
  [31] = {.lex_state = 67},
  [32] = {.lex_state = 67},
  [33] = {.lex_state = 2},
  [34] = {.lex_state = 67},
  [35] = {.lex_state = 67},
  [36] = {.lex_state = 67},
  [37] = {.lex_state = 67},
  [38] = {.lex_state = 2},
  [39] = {.lex_state = 3},
  [40] = {.lex_state = 3},
  [41] = {.lex_state = 2},
  [42] = {.lex_state = 2},
  [43] = {.lex_state = 2},
  [44] = {.lex_state = 2},
  [45] = {.lex_state = 2},
  [46] = {.lex_state = 2},
  [47] = {.lex_state = 2},
  [48] = {.lex_state = 2},
  [49] = {.lex_state = 2},
  [50] = {.lex_state = 2},
  [51] = {.lex_state = 2},
  [52] = {.lex_state = 3},
  [53] = {.lex_state = 3},
  [54] = {.lex_state = 3},
  [55] = {.lex_state = 2},
  [56] = {.lex_state = 3},
  [57] = {.lex_state = 67},
  [58] = {.lex_state = 5},
  [59] = {.lex_state = 5},
  [60] = {.lex_state = 3},
  [61] = {.lex_state = 67},
  [62] = {.lex_state = 4},
  [63] = {.lex_state = 5},
  [64] = {.lex_state = 67},
  [65] = {.lex_state = 67},
  [66] = {.lex_state = 67},
  [67] = {.lex_state = 67},
  [68] = {.lex_state = 3},
  [69] = {.lex_state = 67},
  [70] = {.lex_state = 3},
  [71] = {.lex_state = 3},
  [72] = {.lex_state = 5},
  [73] = {.lex_state = 3},
  [74] = {.lex_state = 67},
  [75] = {.lex_state = 5},
  [76] = {.lex_state = 4},
  [77] = {.lex_state = 5},
  [78] = {.lex_state = 5},
  [79] = {.lex_state = 67},
  [80] = {.lex_state = 67},
  [81] = {.lex_state = 67},
  [82] = {.lex_state = 67},
  [83] = {.lex_state = 67},
  [84] = {.lex_state = 67},
  [85] = {.lex_state = 67},
  [86] = {.lex_state = 5},
  [87] = {.lex_state = 67},
  [88] = {.lex_state = 0},
  [89] = {.lex_state = 5},
  [90] = {.lex_state = 0},
  [91] = {.lex_state = 67},
  [92] = {.lex_state = 67},
  [93] = {.lex_state = 67},
  [94] = {.lex_state = 0},
  [95] = {.lex_state = 0},
  [96] = {.lex_state = 0},
  [97] = {.lex_state = 0},
  [98] = {.lex_state = 67},
  [99] = {.lex_state = 67},
  [100] = {.lex_state = 67},
  [101] = {.lex_state = 67},
  [102] = {.lex_state = 5},
  [103] = {.lex_state = 67},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 0},
  [106] = {.lex_state = 0},
  [107] = {.lex_state = 0},
  [108] = {.lex_state = 0},
  [109] = {.lex_state = 0},
  [110] = {.lex_state = 0},
  [111] = {.lex_state = 0},
  [112] = {.lex_state = 0},
  [113] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__space] = ACTIONS(1),
    [aux_sym__end_of_line_token1] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym__pattern_token1] = ACTIONS(1),
    [sym_glob] = ACTIONS(1),
    [sym_dir_sep] = ACTIONS(1),
    [aux_sym_escaped_char_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym__seq_char_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(1),
  },
  [1] = {
    [sym_manifest] = STATE(108),
    [sym_command] = STATE(2),
    [sym__include] = STATE(23),
    [sym__exclude] = STATE(23),
    [sym__recursive_include] = STATE(19),
    [sym__recursive_exclude] = STATE(20),
    [sym__global_include] = STATE(23),
    [sym__global_exclude] = STATE(23),
    [sym__graft] = STATE(36),
    [sym__prune] = STATE(7),
    [sym__end_of_line] = STATE(2),
    [aux_sym_manifest_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(3),
    [anon_sym_include] = ACTIONS(5),
    [anon_sym_exclude] = ACTIONS(7),
    [anon_sym_recursive_DASHinclude] = ACTIONS(9),
    [anon_sym_recursive_DASHexclude] = ACTIONS(11),
    [anon_sym_global_DASHinclude] = ACTIONS(13),
    [anon_sym_global_DASHexclude] = ACTIONS(15),
    [anon_sym_graft] = ACTIONS(17),
    [anon_sym_prune] = ACTIONS(19),
    [sym__space] = ACTIONS(21),
    [aux_sym__end_of_line_token1] = ACTIONS(23),
    [sym_comment] = ACTIONS(25),
  },
  [2] = {
    [sym_command] = STATE(3),
    [sym__include] = STATE(23),
    [sym__exclude] = STATE(23),
    [sym__recursive_include] = STATE(19),
    [sym__recursive_exclude] = STATE(20),
    [sym__global_include] = STATE(23),
    [sym__global_exclude] = STATE(23),
    [sym__graft] = STATE(36),
    [sym__prune] = STATE(7),
    [sym__end_of_line] = STATE(3),
    [aux_sym_manifest_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(27),
    [anon_sym_include] = ACTIONS(5),
    [anon_sym_exclude] = ACTIONS(7),
    [anon_sym_recursive_DASHinclude] = ACTIONS(9),
    [anon_sym_recursive_DASHexclude] = ACTIONS(11),
    [anon_sym_global_DASHinclude] = ACTIONS(13),
    [anon_sym_global_DASHexclude] = ACTIONS(15),
    [anon_sym_graft] = ACTIONS(17),
    [anon_sym_prune] = ACTIONS(19),
    [sym__space] = ACTIONS(21),
    [aux_sym__end_of_line_token1] = ACTIONS(29),
    [sym_comment] = ACTIONS(25),
  },
  [3] = {
    [sym_command] = STATE(3),
    [sym__include] = STATE(23),
    [sym__exclude] = STATE(23),
    [sym__recursive_include] = STATE(19),
    [sym__recursive_exclude] = STATE(20),
    [sym__global_include] = STATE(23),
    [sym__global_exclude] = STATE(23),
    [sym__graft] = STATE(36),
    [sym__prune] = STATE(7),
    [sym__end_of_line] = STATE(3),
    [aux_sym_manifest_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(31),
    [anon_sym_include] = ACTIONS(33),
    [anon_sym_exclude] = ACTIONS(36),
    [anon_sym_recursive_DASHinclude] = ACTIONS(39),
    [anon_sym_recursive_DASHexclude] = ACTIONS(42),
    [anon_sym_global_DASHinclude] = ACTIONS(45),
    [anon_sym_global_DASHexclude] = ACTIONS(48),
    [anon_sym_graft] = ACTIONS(51),
    [anon_sym_prune] = ACTIONS(54),
    [sym__space] = ACTIONS(57),
    [aux_sym__end_of_line_token1] = ACTIONS(60),
    [sym_comment] = ACTIONS(63),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 15,
    ACTIONS(5), 1,
      anon_sym_include,
    ACTIONS(7), 1,
      anon_sym_exclude,
    ACTIONS(9), 1,
      anon_sym_recursive_DASHinclude,
    ACTIONS(11), 1,
      anon_sym_recursive_DASHexclude,
    ACTIONS(13), 1,
      anon_sym_global_DASHinclude,
    ACTIONS(15), 1,
      anon_sym_global_DASHexclude,
    ACTIONS(17), 1,
      anon_sym_graft,
    ACTIONS(19), 1,
      anon_sym_prune,
    ACTIONS(66), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(68), 1,
      sym_comment,
    STATE(15), 1,
      sym__recursive_include,
    STATE(16), 1,
      sym__recursive_exclude,
    STATE(17), 1,
      sym__graft,
    STATE(18), 1,
      sym__prune,
    STATE(14), 4,
      sym__include,
      sym__exclude,
      sym__global_include,
      sym__global_exclude,
  [49] = 9,
    ACTIONS(72), 1,
      anon_sym_BSLASH,
    ACTIONS(74), 1,
      aux_sym__pattern_token1,
    ACTIONS(76), 1,
      sym_glob,
    ACTIONS(78), 1,
      sym_dir_sep,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    STATE(79), 1,
      aux_sym_pattern_repeat1,
    ACTIONS(70), 3,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
    STATE(28), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [81] = 8,
    ACTIONS(84), 1,
      aux_sym__pattern_token1,
    ACTIONS(86), 1,
      sym_glob,
    ACTIONS(88), 1,
      sym_dir_sep,
    ACTIONS(90), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(92), 1,
      anon_sym_LBRACK,
    STATE(82), 1,
      aux_sym_pattern_repeat1,
    ACTIONS(70), 3,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
    STATE(39), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [110] = 1,
    ACTIONS(94), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [125] = 8,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(98), 1,
      anon_sym_BSLASH,
    ACTIONS(100), 1,
      aux_sym__pattern_token1,
    ACTIONS(102), 1,
      sym_glob,
    STATE(98), 1,
      sym_pattern,
    ACTIONS(96), 3,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
    STATE(5), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [154] = 10,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(100), 1,
      aux_sym__pattern_token1,
    ACTIONS(102), 1,
      sym_glob,
    ACTIONS(104), 1,
      sym__space,
    ACTIONS(106), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(69), 1,
      aux_sym__include_repeat1,
    STATE(85), 1,
      sym_pattern,
    STATE(5), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [187] = 10,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(100), 1,
      aux_sym__pattern_token1,
    ACTIONS(102), 1,
      sym_glob,
    ACTIONS(104), 1,
      sym__space,
    ACTIONS(106), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(74), 1,
      aux_sym__include_repeat1,
    STATE(93), 1,
      sym_pattern,
    STATE(5), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [220] = 10,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(90), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(92), 1,
      anon_sym_LBRACK,
    ACTIONS(108), 1,
      sym__space,
    ACTIONS(110), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(112), 1,
      aux_sym__pattern_token1,
    ACTIONS(114), 1,
      sym_glob,
    STATE(25), 1,
      sym__end_of_line,
    STATE(88), 1,
      sym_pattern,
    STATE(6), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [253] = 10,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(90), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(92), 1,
      anon_sym_LBRACK,
    ACTIONS(108), 1,
      sym__space,
    ACTIONS(112), 1,
      aux_sym__pattern_token1,
    ACTIONS(114), 1,
      sym_glob,
    ACTIONS(116), 1,
      aux_sym__end_of_line_token1,
    STATE(26), 1,
      sym__end_of_line,
    STATE(94), 1,
      sym_pattern,
    STATE(6), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [286] = 1,
    ACTIONS(118), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [301] = 1,
    ACTIONS(120), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [316] = 1,
    ACTIONS(122), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [331] = 1,
    ACTIONS(122), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [346] = 1,
    ACTIONS(122), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [361] = 1,
    ACTIONS(122), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [376] = 1,
    ACTIONS(94), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [391] = 1,
    ACTIONS(94), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [406] = 1,
    ACTIONS(124), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [421] = 1,
    ACTIONS(126), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [436] = 1,
    ACTIONS(128), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [451] = 1,
    ACTIONS(130), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [466] = 1,
    ACTIONS(132), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [481] = 1,
    ACTIONS(134), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [496] = 1,
    ACTIONS(136), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [511] = 7,
    ACTIONS(140), 1,
      anon_sym_BSLASH,
    ACTIONS(142), 1,
      aux_sym__pattern_token1,
    ACTIONS(145), 1,
      sym_glob,
    ACTIONS(148), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(151), 1,
      anon_sym_LBRACK,
    STATE(28), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
    ACTIONS(138), 4,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_dir_sep,
      sym_comment,
  [538] = 1,
    ACTIONS(154), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [553] = 1,
    ACTIONS(156), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [568] = 1,
    ACTIONS(158), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [583] = 1,
    ACTIONS(160), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [598] = 7,
    ACTIONS(74), 1,
      aux_sym__pattern_token1,
    ACTIONS(76), 1,
      sym_glob,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(164), 1,
      anon_sym_BSLASH,
    STATE(28), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
    ACTIONS(162), 4,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_dir_sep,
      sym_comment,
  [625] = 1,
    ACTIONS(166), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [640] = 1,
    ACTIONS(168), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [655] = 1,
    ACTIONS(94), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [670] = 1,
    ACTIONS(170), 12,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_exclude,
      anon_sym_recursive_DASHinclude,
      anon_sym_recursive_DASHexclude,
      anon_sym_global_DASHinclude,
      anon_sym_global_DASHexclude,
      anon_sym_graft,
      anon_sym_prune,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [685] = 9,
    ACTIONS(66), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(68), 1,
      sym_comment,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(100), 1,
      aux_sym__pattern_token1,
    ACTIONS(102), 1,
      sym_glob,
    ACTIONS(172), 1,
      anon_sym_BSLASH,
    STATE(98), 1,
      sym_pattern,
    STATE(5), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [715] = 6,
    ACTIONS(174), 1,
      aux_sym__pattern_token1,
    ACTIONS(177), 1,
      sym_glob,
    ACTIONS(180), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(183), 1,
      anon_sym_LBRACK,
    STATE(39), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
    ACTIONS(138), 4,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_dir_sep,
      sym_comment,
  [739] = 6,
    ACTIONS(84), 1,
      aux_sym__pattern_token1,
    ACTIONS(86), 1,
      sym_glob,
    ACTIONS(90), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(92), 1,
      anon_sym_LBRACK,
    STATE(39), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
    ACTIONS(162), 4,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_dir_sep,
      sym_comment,
  [763] = 7,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(100), 1,
      aux_sym__pattern_token1,
    ACTIONS(102), 1,
      sym_glob,
    ACTIONS(172), 1,
      anon_sym_BSLASH,
    STATE(98), 1,
      sym_pattern,
    STATE(5), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [787] = 2,
    ACTIONS(188), 2,
      anon_sym_BSLASH,
      aux_sym__pattern_token1,
    ACTIONS(186), 7,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      sym_dir_sep,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [801] = 7,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(100), 1,
      aux_sym__pattern_token1,
    ACTIONS(102), 1,
      sym_glob,
    ACTIONS(172), 1,
      anon_sym_BSLASH,
    STATE(85), 1,
      sym_pattern,
    STATE(5), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [825] = 7,
    ACTIONS(90), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(92), 1,
      anon_sym_LBRACK,
    ACTIONS(112), 1,
      aux_sym__pattern_token1,
    ACTIONS(114), 1,
      sym_glob,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    STATE(94), 1,
      sym_pattern,
    STATE(6), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [849] = 2,
    ACTIONS(194), 2,
      anon_sym_BSLASH,
      aux_sym__pattern_token1,
    ACTIONS(192), 7,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      sym_dir_sep,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [863] = 2,
    ACTIONS(198), 2,
      anon_sym_BSLASH,
      aux_sym__pattern_token1,
    ACTIONS(196), 7,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      sym_dir_sep,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [877] = 7,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(100), 1,
      aux_sym__pattern_token1,
    ACTIONS(102), 1,
      sym_glob,
    ACTIONS(172), 1,
      anon_sym_BSLASH,
    STATE(93), 1,
      sym_pattern,
    STATE(5), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [901] = 7,
    ACTIONS(90), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(92), 1,
      anon_sym_LBRACK,
    ACTIONS(112), 1,
      aux_sym__pattern_token1,
    ACTIONS(114), 1,
      sym_glob,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    STATE(88), 1,
      sym_pattern,
    STATE(6), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [925] = 2,
    ACTIONS(202), 2,
      anon_sym_BSLASH,
      aux_sym__pattern_token1,
    ACTIONS(200), 6,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [938] = 2,
    ACTIONS(206), 2,
      anon_sym_BSLASH,
      aux_sym__pattern_token1,
    ACTIONS(204), 6,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [951] = 2,
    ACTIONS(208), 2,
      anon_sym_BSLASH,
      aux_sym__pattern_token1,
    ACTIONS(118), 6,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [964] = 2,
    ACTIONS(188), 1,
      aux_sym__pattern_token1,
    ACTIONS(186), 7,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      sym_dir_sep,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [977] = 2,
    ACTIONS(194), 1,
      aux_sym__pattern_token1,
    ACTIONS(192), 7,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      sym_dir_sep,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [990] = 2,
    ACTIONS(198), 1,
      aux_sym__pattern_token1,
    ACTIONS(196), 7,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      sym_dir_sep,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [1003] = 2,
    ACTIONS(210), 2,
      anon_sym_BSLASH,
      aux_sym__pattern_token1,
    ACTIONS(136), 6,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [1016] = 2,
    ACTIONS(210), 1,
      aux_sym__pattern_token1,
    ACTIONS(136), 6,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [1028] = 7,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(212), 1,
      sym__space,
    ACTIONS(214), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(21), 1,
      sym__end_of_line,
    STATE(81), 1,
      aux_sym__include_repeat1,
  [1050] = 5,
    ACTIONS(218), 1,
      anon_sym_DASH,
    ACTIONS(221), 1,
      anon_sym_RBRACK,
    STATE(89), 1,
      sym__seq_char,
    ACTIONS(223), 2,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
    STATE(58), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1068] = 5,
    ACTIONS(226), 1,
      anon_sym_DASH,
    ACTIONS(228), 1,
      anon_sym_RBRACK,
    STATE(89), 1,
      sym__seq_char,
    ACTIONS(230), 2,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
    STATE(58), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1086] = 5,
    ACTIONS(80), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(82), 1,
      anon_sym_LBRACK,
    ACTIONS(232), 1,
      aux_sym__pattern_token1,
    ACTIONS(234), 1,
      sym_glob,
    STATE(33), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [1104] = 7,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(212), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(236), 1,
      aux_sym__end_of_line_token1,
    STATE(8), 1,
      sym_linebreak,
    STATE(34), 1,
      sym__end_of_line,
    STATE(81), 1,
      aux_sym__include_repeat1,
  [1126] = 6,
    ACTIONS(230), 1,
      aux_sym__seq_char_token2,
    ACTIONS(238), 1,
      anon_sym_BANG,
    ACTIONS(240), 1,
      anon_sym_DASH,
    ACTIONS(242), 1,
      aux_sym__seq_char_token1,
    STATE(89), 1,
      sym__seq_char,
    STATE(59), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1146] = 5,
    ACTIONS(226), 1,
      anon_sym_DASH,
    ACTIONS(244), 1,
      anon_sym_RBRACK,
    STATE(89), 1,
      sym__seq_char,
    ACTIONS(230), 2,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
    STATE(58), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1164] = 7,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(212), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym__end_of_line_token1,
    STATE(8), 1,
      sym_linebreak,
    STATE(22), 1,
      sym__end_of_line,
    STATE(81), 1,
      aux_sym__include_repeat1,
  [1186] = 7,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(212), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(248), 1,
      aux_sym__end_of_line_token1,
    STATE(8), 1,
      sym_linebreak,
    STATE(35), 1,
      sym__end_of_line,
    STATE(81), 1,
      aux_sym__include_repeat1,
  [1208] = 7,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(212), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(250), 1,
      aux_sym__end_of_line_token1,
    STATE(8), 1,
      sym_linebreak,
    STATE(37), 1,
      sym__end_of_line,
    STATE(81), 1,
      aux_sym__include_repeat1,
  [1230] = 7,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(212), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(252), 1,
      aux_sym__end_of_line_token1,
    STATE(8), 1,
      sym_linebreak,
    STATE(24), 1,
      sym__end_of_line,
    STATE(81), 1,
      aux_sym__include_repeat1,
  [1252] = 2,
    ACTIONS(202), 1,
      aux_sym__pattern_token1,
    ACTIONS(200), 6,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [1264] = 7,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(212), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(254), 1,
      aux_sym__end_of_line_token1,
    STATE(8), 1,
      sym_linebreak,
    STATE(29), 1,
      sym__end_of_line,
    STATE(81), 1,
      aux_sym__include_repeat1,
  [1286] = 2,
    ACTIONS(206), 1,
      aux_sym__pattern_token1,
    ACTIONS(204), 6,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [1298] = 5,
    ACTIONS(90), 1,
      aux_sym_escaped_char_token1,
    ACTIONS(92), 1,
      anon_sym_LBRACK,
    ACTIONS(256), 1,
      aux_sym__pattern_token1,
    ACTIONS(258), 1,
      sym_glob,
    STATE(40), 3,
      aux_sym__pattern,
      sym_escaped_char,
      sym_char_sequence,
  [1316] = 5,
    ACTIONS(226), 1,
      anon_sym_DASH,
    ACTIONS(260), 1,
      anon_sym_RBRACK,
    STATE(89), 1,
      sym__seq_char,
    ACTIONS(230), 2,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
    STATE(58), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1334] = 2,
    ACTIONS(208), 1,
      aux_sym__pattern_token1,
    ACTIONS(118), 6,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_glob,
      aux_sym_escaped_char_token1,
      anon_sym_LBRACK,
      sym_comment,
  [1346] = 7,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(212), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(262), 1,
      aux_sym__end_of_line_token1,
    STATE(8), 1,
      sym_linebreak,
    STATE(30), 1,
      sym__end_of_line,
    STATE(81), 1,
      aux_sym__include_repeat1,
  [1368] = 5,
    ACTIONS(226), 1,
      anon_sym_DASH,
    ACTIONS(264), 1,
      anon_sym_RBRACK,
    STATE(89), 1,
      sym__seq_char,
    ACTIONS(230), 2,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
    STATE(58), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1386] = 6,
    ACTIONS(230), 1,
      aux_sym__seq_char_token2,
    ACTIONS(242), 1,
      aux_sym__seq_char_token1,
    ACTIONS(266), 1,
      anon_sym_BANG,
    ACTIONS(268), 1,
      anon_sym_DASH,
    STATE(89), 1,
      sym__seq_char,
    STATE(72), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1406] = 4,
    ACTIONS(270), 1,
      anon_sym_DASH,
    STATE(89), 1,
      sym__seq_char,
    ACTIONS(230), 2,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
    STATE(75), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1421] = 4,
    ACTIONS(272), 1,
      anon_sym_DASH,
    STATE(89), 1,
      sym__seq_char,
    ACTIONS(230), 2,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
    STATE(63), 2,
      sym_char_range,
      aux_sym_char_sequence_repeat1,
  [1436] = 3,
    ACTIONS(78), 1,
      sym_dir_sep,
    STATE(80), 1,
      aux_sym_pattern_repeat1,
    ACTIONS(274), 4,
      sym__space,
      aux_sym__end_of_line_token1,
      anon_sym_BSLASH,
      sym_comment,
  [1449] = 3,
    ACTIONS(276), 1,
      sym_dir_sep,
    STATE(80), 1,
      aux_sym_pattern_repeat1,
    ACTIONS(162), 4,
      sym__space,
      aux_sym__end_of_line_token1,
      anon_sym_BSLASH,
      sym_comment,
  [1462] = 5,
    ACTIONS(279), 1,
      sym__space,
    ACTIONS(284), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(81), 1,
      aux_sym__include_repeat1,
    ACTIONS(282), 2,
      aux_sym__end_of_line_token1,
      sym_comment,
  [1479] = 3,
    ACTIONS(88), 1,
      sym_dir_sep,
    STATE(83), 1,
      aux_sym_pattern_repeat1,
    ACTIONS(274), 3,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [1491] = 3,
    ACTIONS(287), 1,
      sym_dir_sep,
    STATE(83), 1,
      aux_sym_pattern_repeat1,
    ACTIONS(162), 3,
      sym__space,
      aux_sym__end_of_line_token1,
      sym_comment,
  [1503] = 4,
    ACTIONS(104), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(67), 1,
      aux_sym__include_repeat1,
  [1516] = 4,
    ACTIONS(104), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(61), 1,
      aux_sym__include_repeat1,
  [1529] = 1,
    ACTIONS(290), 4,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
  [1536] = 4,
    ACTIONS(104), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(57), 1,
      aux_sym__include_repeat1,
  [1549] = 4,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(108), 1,
      sym__space,
    ACTIONS(292), 1,
      aux_sym__end_of_line_token1,
    STATE(31), 1,
      sym__end_of_line,
  [1562] = 2,
    ACTIONS(294), 1,
      anon_sym_DASH,
    ACTIONS(296), 3,
      anon_sym_RBRACK,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
  [1571] = 4,
    ACTIONS(298), 1,
      sym__space,
    ACTIONS(300), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(302), 1,
      sym_comment,
    STATE(50), 1,
      sym__end_of_line,
  [1584] = 4,
    ACTIONS(104), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(66), 1,
      aux_sym__include_repeat1,
  [1597] = 4,
    ACTIONS(104), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(64), 1,
      aux_sym__include_repeat1,
  [1610] = 4,
    ACTIONS(104), 1,
      sym__space,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    STATE(8), 1,
      sym_linebreak,
    STATE(65), 1,
      aux_sym__include_repeat1,
  [1623] = 4,
    ACTIONS(25), 1,
      sym_comment,
    ACTIONS(108), 1,
      sym__space,
    ACTIONS(304), 1,
      aux_sym__end_of_line_token1,
    STATE(32), 1,
      sym__end_of_line,
  [1636] = 4,
    ACTIONS(306), 1,
      sym__space,
    ACTIONS(308), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(310), 1,
      sym_comment,
    STATE(70), 1,
      sym__end_of_line,
  [1649] = 4,
    ACTIONS(298), 1,
      sym__space,
    ACTIONS(302), 1,
      sym_comment,
    ACTIONS(312), 1,
      aux_sym__end_of_line_token1,
    STATE(49), 1,
      sym__end_of_line,
  [1662] = 4,
    ACTIONS(306), 1,
      sym__space,
    ACTIONS(310), 1,
      sym_comment,
    ACTIONS(314), 1,
      aux_sym__end_of_line_token1,
    STATE(68), 1,
      sym__end_of_line,
  [1675] = 1,
    ACTIONS(282), 4,
      sym__space,
      aux_sym__end_of_line_token1,
      anon_sym_BSLASH,
      sym_comment,
  [1682] = 3,
    ACTIONS(316), 1,
      sym__space,
    ACTIONS(318), 1,
      anon_sym_BSLASH,
    STATE(12), 1,
      sym_linebreak,
  [1692] = 3,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(320), 1,
      sym__space,
    STATE(10), 1,
      sym_linebreak,
  [1702] = 3,
    ACTIONS(318), 1,
      anon_sym_BSLASH,
    ACTIONS(322), 1,
      sym__space,
    STATE(11), 1,
      sym_linebreak,
  [1712] = 2,
    STATE(86), 1,
      sym__seq_char,
    ACTIONS(324), 2,
      aux_sym__seq_char_token1,
      aux_sym__seq_char_token2,
  [1720] = 3,
    ACTIONS(216), 1,
      anon_sym_BSLASH,
    ACTIONS(326), 1,
      sym__space,
    STATE(9), 1,
      sym_linebreak,
  [1730] = 2,
    ACTIONS(66), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(68), 1,
      sym_comment,
  [1737] = 2,
    ACTIONS(328), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(330), 1,
      sym_comment,
  [1744] = 2,
    ACTIONS(332), 1,
      aux_sym__end_of_line_token1,
    ACTIONS(334), 1,
      sym_comment,
  [1751] = 1,
    ACTIONS(66), 1,
      aux_sym__end_of_line_token1,
  [1755] = 1,
    ACTIONS(336), 1,
      ts_builtin_sym_end,
  [1759] = 1,
    ACTIONS(332), 1,
      aux_sym__end_of_line_token1,
  [1763] = 1,
    ACTIONS(338), 1,
      aux_sym__end_of_line_token1,
  [1767] = 1,
    ACTIONS(340), 1,
      aux_sym__end_of_line_token1,
  [1771] = 1,
    ACTIONS(328), 1,
      aux_sym__end_of_line_token1,
  [1775] = 1,
    ACTIONS(342), 1,
      aux_sym__end_of_line_token1,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(4)] = 0,
  [SMALL_STATE(5)] = 49,
  [SMALL_STATE(6)] = 81,
  [SMALL_STATE(7)] = 110,
  [SMALL_STATE(8)] = 125,
  [SMALL_STATE(9)] = 154,
  [SMALL_STATE(10)] = 187,
  [SMALL_STATE(11)] = 220,
  [SMALL_STATE(12)] = 253,
  [SMALL_STATE(13)] = 286,
  [SMALL_STATE(14)] = 301,
  [SMALL_STATE(15)] = 316,
  [SMALL_STATE(16)] = 331,
  [SMALL_STATE(17)] = 346,
  [SMALL_STATE(18)] = 361,
  [SMALL_STATE(19)] = 376,
  [SMALL_STATE(20)] = 391,
  [SMALL_STATE(21)] = 406,
  [SMALL_STATE(22)] = 421,
  [SMALL_STATE(23)] = 436,
  [SMALL_STATE(24)] = 451,
  [SMALL_STATE(25)] = 466,
  [SMALL_STATE(26)] = 481,
  [SMALL_STATE(27)] = 496,
  [SMALL_STATE(28)] = 511,
  [SMALL_STATE(29)] = 538,
  [SMALL_STATE(30)] = 553,
  [SMALL_STATE(31)] = 568,
  [SMALL_STATE(32)] = 583,
  [SMALL_STATE(33)] = 598,
  [SMALL_STATE(34)] = 625,
  [SMALL_STATE(35)] = 640,
  [SMALL_STATE(36)] = 655,
  [SMALL_STATE(37)] = 670,
  [SMALL_STATE(38)] = 685,
  [SMALL_STATE(39)] = 715,
  [SMALL_STATE(40)] = 739,
  [SMALL_STATE(41)] = 763,
  [SMALL_STATE(42)] = 787,
  [SMALL_STATE(43)] = 801,
  [SMALL_STATE(44)] = 825,
  [SMALL_STATE(45)] = 849,
  [SMALL_STATE(46)] = 863,
  [SMALL_STATE(47)] = 877,
  [SMALL_STATE(48)] = 901,
  [SMALL_STATE(49)] = 925,
  [SMALL_STATE(50)] = 938,
  [SMALL_STATE(51)] = 951,
  [SMALL_STATE(52)] = 964,
  [SMALL_STATE(53)] = 977,
  [SMALL_STATE(54)] = 990,
  [SMALL_STATE(55)] = 1003,
  [SMALL_STATE(56)] = 1016,
  [SMALL_STATE(57)] = 1028,
  [SMALL_STATE(58)] = 1050,
  [SMALL_STATE(59)] = 1068,
  [SMALL_STATE(60)] = 1086,
  [SMALL_STATE(61)] = 1104,
  [SMALL_STATE(62)] = 1126,
  [SMALL_STATE(63)] = 1146,
  [SMALL_STATE(64)] = 1164,
  [SMALL_STATE(65)] = 1186,
  [SMALL_STATE(66)] = 1208,
  [SMALL_STATE(67)] = 1230,
  [SMALL_STATE(68)] = 1252,
  [SMALL_STATE(69)] = 1264,
  [SMALL_STATE(70)] = 1286,
  [SMALL_STATE(71)] = 1298,
  [SMALL_STATE(72)] = 1316,
  [SMALL_STATE(73)] = 1334,
  [SMALL_STATE(74)] = 1346,
  [SMALL_STATE(75)] = 1368,
  [SMALL_STATE(76)] = 1386,
  [SMALL_STATE(77)] = 1406,
  [SMALL_STATE(78)] = 1421,
  [SMALL_STATE(79)] = 1436,
  [SMALL_STATE(80)] = 1449,
  [SMALL_STATE(81)] = 1462,
  [SMALL_STATE(82)] = 1479,
  [SMALL_STATE(83)] = 1491,
  [SMALL_STATE(84)] = 1503,
  [SMALL_STATE(85)] = 1516,
  [SMALL_STATE(86)] = 1529,
  [SMALL_STATE(87)] = 1536,
  [SMALL_STATE(88)] = 1549,
  [SMALL_STATE(89)] = 1562,
  [SMALL_STATE(90)] = 1571,
  [SMALL_STATE(91)] = 1584,
  [SMALL_STATE(92)] = 1597,
  [SMALL_STATE(93)] = 1610,
  [SMALL_STATE(94)] = 1623,
  [SMALL_STATE(95)] = 1636,
  [SMALL_STATE(96)] = 1649,
  [SMALL_STATE(97)] = 1662,
  [SMALL_STATE(98)] = 1675,
  [SMALL_STATE(99)] = 1682,
  [SMALL_STATE(100)] = 1692,
  [SMALL_STATE(101)] = 1702,
  [SMALL_STATE(102)] = 1712,
  [SMALL_STATE(103)] = 1720,
  [SMALL_STATE(104)] = 1730,
  [SMALL_STATE(105)] = 1737,
  [SMALL_STATE(106)] = 1744,
  [SMALL_STATE(107)] = 1751,
  [SMALL_STATE(108)] = 1755,
  [SMALL_STATE(109)] = 1759,
  [SMALL_STATE(110)] = 1763,
  [SMALL_STATE(111)] = 1767,
  [SMALL_STATE(112)] = 1771,
  [SMALL_STATE(113)] = 1775,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_manifest, 0, 0, 0),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [27] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_manifest, 1, 0, 0),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [31] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0),
  [33] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(87),
  [36] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [39] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(103),
  [42] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [45] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(91),
  [48] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(84),
  [51] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [54] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [57] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(4),
  [60] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [63] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_manifest_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [66] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [68] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [70] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [72] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [74] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [76] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [78] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [80] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [82] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [84] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [86] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [88] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [90] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [92] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [94] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, 0, 1),
  [96] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__include_repeat1, 1, 0, 0),
  [98] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__include_repeat1, 1, 0, 0),
  [100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_of_line, 2, 0, 0),
  [120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, 0, 0),
  [122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, 0, 2),
  [124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__include, 3, 0, 0),
  [126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude, 3, 0, 0),
  [128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, 0, 0),
  [130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__global_exclude, 3, 0, 0),
  [132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__graft, 3, 0, 3),
  [134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__prune, 3, 0, 3),
  [136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_of_line, 3, 0, 0),
  [138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__pattern, 2, 0, 0),
  [140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__pattern, 2, 0, 0),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__pattern, 2, 0, 0), SHIFT_REPEAT(28),
  [145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pattern, 2, 0, 0), SHIFT_REPEAT(28),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pattern, 2, 0, 0), SHIFT_REPEAT(42),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pattern, 2, 0, 0), SHIFT_REPEAT(62),
  [154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__recursive_include, 4, 0, 3),
  [156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__recursive_exclude, 4, 0, 3),
  [158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__graft, 4, 0, 4),
  [160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__prune, 4, 0, 4),
  [162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_repeat1, 2, 0, 0),
  [164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pattern_repeat1, 2, 0, 0),
  [166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__recursive_include, 5, 0, 4),
  [168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__recursive_exclude, 5, 0, 4),
  [170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__global_include, 3, 0, 0),
  [172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__pattern, 2, 0, 0), SHIFT_REPEAT(39),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pattern, 2, 0, 0), SHIFT_REPEAT(39),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pattern, 2, 0, 0), SHIFT_REPEAT(52),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pattern, 2, 0, 0), SHIFT_REPEAT(76),
  [186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escaped_char, 1, 0, 0),
  [188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escaped_char, 1, 0, 0),
  [190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_sequence, 3, 0, 0),
  [194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_sequence, 3, 0, 0),
  [196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_sequence, 4, 0, 0),
  [198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_sequence, 4, 0, 0),
  [200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linebreak, 2, 0, 0),
  [202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linebreak, 2, 0, 0),
  [204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linebreak, 3, 0, 0),
  [206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linebreak, 3, 0, 0),
  [208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_of_line, 2, 0, 0),
  [210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_of_line, 3, 0, 0),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_char_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_char_sequence_repeat1, 2, 0, 0),
  [223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_char_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(89),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 2, 0, 0),
  [276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(60),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__include_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__include_repeat1, 2, 0, 0),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__include_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_range, 3, 0, 0),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_char_sequence_repeat1, 1, 0, 0),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [336] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_pymanifest(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
